Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Page.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Page.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/Page.Serialization.cs	(revision 4068)
@@ -1,59 +1,53 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class Page : ISerializable, IXmlSerializable, IDeserializationCallback {
+    #region Deserialization constructor
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-   [Serializable]
-    public partial class Page : ISerializable, IXmlSerializable, IDeserializationCallback
-    {
-        #region Deserialization constructor
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        protected Page(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("Deserializing the fields of 'Page'.");
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    protected Page(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("Deserializing the fields of 'Page'.");
 
-            double version = info.GetDouble("PageVersion");
+      double version = info.GetDouble("PageVersion");
 
-            Ambience = info.GetValue(
-                "Ambience", 
-                typeof(Ambience)) as Ambience;
+      Ambience = info.GetValue(
+          "Ambience",
+          typeof(Ambience)) as Ambience;
 
-            //mDefaultLayer = info.GetValue("DefaultLayer", typeof(ILayer)) as ILayer;
-            mLayers = info.GetValue(
-                "Layers", 
-                typeof(CollectionBase<ILayer>)) as CollectionBase<ILayer>;
+      //mDefaultLayer = info.GetValue("DefaultLayer", typeof(ILayer)) as ILayer;
+      mLayers = info.GetValue(
+          "Layers",
+          typeof(CollectionBase<ILayer>)) as CollectionBase<ILayer>;
 
-            mName = (string)info.GetValue(
-                "Name",
-                typeof(string));
+      mName = (string)info.GetValue(
+          "Name",
+          typeof(string));
 
-            mOrigin = (Point)info.GetValue(
-                "Origin",
-                typeof(Point));
+      mOrigin = (Point)info.GetValue(
+          "Origin",
+          typeof(Point));
 
-            mMagnification = (SizeF)info.GetValue(
-                "Magnification",
-                typeof(SizeF));
-           
-           
-        }
-        #endregion
+      mMagnification = (SizeF)info.GetValue(
+          "Magnification",
+          typeof(SizeF));
 
-        #region Serialization events
-       /*
+
+    }
+    #endregion
+
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -69,8 +63,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-       /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -80,102 +74,96 @@
         }
         */
-        [OnDeserialized]
-        void OnDeserialized(StreamingContext context)
-         {
+    [OnDeserialized]
+    void OnDeserialized(StreamingContext context) {
 
-             Init();
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("...deserialization of 'Page' finished");
-         }
+      Init();
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("...deserialization of 'Page' finished");
+    }
 
-        #endregion
+    #endregion
 
-        #region Serialization
-         /// <summary>
-         /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
-         /// </summary>
-         /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
-         /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
-         /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
-        public void GetObjectData(SerializationInfo info, StreamingContext context)
-        {
-            if(Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'Page'.");
+    #region Serialization
+    /// <summary>
+    /// Populates a <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> with the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref="T:System.Runtime.Serialization.SerializationInfo"></see> to populate with data.</param>
+    /// <param name="context">The destination (see <see cref="T:System.Runtime.Serialization.StreamingContext"></see>) for this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller does not have the required permission. </exception>
+    public void GetObjectData(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'Page'.");
 
-            info.AddValue("PageVersion", pageVersion);
+      info.AddValue("PageVersion", pageVersion);
 
-            //for the full version there will be a collection of pages here
-            info.AddValue(
-                "Ambience", 
-                this.Ambience, 
-                typeof(Ambience));
+      //for the full version there will be a collection of pages here
+      info.AddValue(
+          "Ambience",
+          this.Ambience,
+          typeof(Ambience));
 
-            //info.AddValue("DefaultLayer", this.DefaultLayer, typeof(ILayer));
-            info.AddValue(
-                "Layers",
-                this.mLayers, 
-                typeof(CollectionBase<ILayer>));
+      //info.AddValue("DefaultLayer", this.DefaultLayer, typeof(ILayer));
+      info.AddValue(
+          "Layers",
+          this.mLayers,
+          typeof(CollectionBase<ILayer>));
 
-            info.AddValue(
-                "Name",
-                mName,
-                typeof(string));
+      info.AddValue(
+          "Name",
+          mName,
+          typeof(string));
 
-            info.AddValue(
-                "Magnification",
-                mMagnification,
-                typeof(SizeF));
+      info.AddValue(
+          "Magnification",
+          mMagnification,
+          typeof(SizeF));
 
-            info.AddValue(
-                "Origin",
-                mOrigin,
-                typeof(Point));
-        }
-        #endregion
+      info.AddValue(
+          "Origin",
+          mOrigin,
+          typeof(Point));
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        #region IDeserializationCallback Members
+    #region IDeserializationCallback Members
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public void OnDeserialization(object sender)
-        {
-            if(Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'Page' called.");
-        }
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'Page' called.");
+    }
 
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/PenStyle.Serialization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/PenStyle.Serialization.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Serialization/PenStyle.Serialization.cs	(revision 4068)
@@ -1,53 +1,45 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Diagnostics;
 using System.Drawing;
-using System.ComponentModel;
 using System.Runtime.Serialization;
+using System.Xml.Schema;
 using System.Xml.Serialization;
-using System.Diagnostics;
-using System.Xml.Schema;
-using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Complementary partial class related to (de)serialization.
+  /// </summary>
+  [Serializable]
+  public partial class PenStyle :
+     ISerializable,
+     IXmlSerializable,
+     IDeserializationCallback {
+    #region Deserialization constructor
+
+    // -------------------------------------------------------------------
     /// <summary>
-    /// Complementary partial class related to (de)serialization.
+    /// Deserialization constructor
     /// </summary>
-    [Serializable]
-    public partial class PenStyle :
-       ISerializable,
-       IXmlSerializable,
-       IDeserializationCallback
-    {
-        #region Deserialization constructor
+    /// <param name="info">The info.</param>
+    /// <param name="context">The context.</param>
+    // -------------------------------------------------------------------
+    protected PenStyle(SerializationInfo info, StreamingContext context) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled) {
+        Trace.WriteLine("Deserializing the fields of 'PenStyle'.");
+      }
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Deserialization constructor
-        /// </summary>
-        /// <param name="info">The info.</param>
-        /// <param name="context">The context.</param>
-        // -------------------------------------------------------------------
-        protected PenStyle(SerializationInfo info, StreamingContext context)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-            {
-                Trace.WriteLine("Deserializing the fields of 'PenStyle'.");
-            }
+      double version = info.GetDouble("PenStyleVersion");
 
-            double version = info.GetDouble("PenStyleVersion");
+      mWidth = info.GetSingle("Width");
 
-            mWidth = info.GetSingle("Width");
+      mColor = (Color)info.GetValue("Color", typeof(Color));
 
-            mColor = (Color)info.GetValue("Color", typeof(Color));
+      mDashStyle = (System.Drawing.Drawing2D.DashStyle)Enum.Parse(
+          typeof(System.Drawing.Drawing2D.DashStyle),
+          info.GetString("DashStyle"));
+    }
+    #endregion
 
-            mDashStyle = (System.Drawing.Drawing2D.DashStyle)Enum.Parse(
-                typeof(System.Drawing.Drawing2D.DashStyle),
-                info.GetString("DashStyle"));
-        }
-        #endregion
-
-        #region Serialization events
-        /*
+    #region Serialization events
+    /*
         [OnSerializing]
         void OnSerializing(StreamingContext context)
@@ -61,8 +53,8 @@
         }
         */
-        #endregion
+    #endregion
 
-        #region Deserialization events
-        /*
+    #region Deserialization events
+    /*
         [OnDeserializing]
         void OnDeserializing(StreamingContext context)
@@ -78,77 +70,72 @@
         }
        */
-        #endregion
+    #endregion
 
-        #region Serialization
+    #region Serialization
 
-        // -------------------------------------------------------------------
-        /// <summary>
-        /// Populates a <see cref=
-        /// "T:System.Runtime.Serialization.SerializationInfo"></see> with 
-        /// the data needed to serialize the target object.
-        /// </summary>
-        /// <param name="info">The <see cref=
-        /// "T:System.Runtime.Serialization.SerializationInfo"></see> to 
-        /// populate with data.</param>
-        /// <param name="context">The destination (see <see cref=
-        /// "T:System.Runtime.Serialization.StreamingContext"></see>) for 
-        /// this serialization.</param>
-        /// <exception cref="T:System.Security.SecurityException">The caller 
-        /// does not have the required permission. </exception>
-        // -------------------------------------------------------------------
-        public virtual void GetObjectData(
-            SerializationInfo info, 
-            StreamingContext context)
-        {
-            if (Tracing.BinarySerializationSwitch.Enabled)
-                Trace.WriteLine("Serializing the fields of 'PenStyle'.");
+    // -------------------------------------------------------------------
+    /// <summary>
+    /// Populates a <see cref=
+    /// "T:System.Runtime.Serialization.SerializationInfo"></see> with 
+    /// the data needed to serialize the target object.
+    /// </summary>
+    /// <param name="info">The <see cref=
+    /// "T:System.Runtime.Serialization.SerializationInfo"></see> to 
+    /// populate with data.</param>
+    /// <param name="context">The destination (see <see cref=
+    /// "T:System.Runtime.Serialization.StreamingContext"></see>) for 
+    /// this serialization.</param>
+    /// <exception cref="T:System.Security.SecurityException">The caller 
+    /// does not have the required permission. </exception>
+    // -------------------------------------------------------------------
+    public virtual void GetObjectData(
+        SerializationInfo info,
+        StreamingContext context) {
+      if (Tracing.BinarySerializationSwitch.Enabled)
+        Trace.WriteLine("Serializing the fields of 'PenStyle'.");
 
-            info.AddValue("PenStyleVersion", penStyleVersion);
-            info.AddValue("Color", this.mColor, typeof(Color));
-            info.AddValue("Width", this.mWidth);
-            info.AddValue("DashStyle", this.mDashStyle.ToString());
-        }
-        #endregion
+      info.AddValue("PenStyleVersion", penStyleVersion);
+      info.AddValue("Color", this.mColor, typeof(Color));
+      info.AddValue("Width", this.mWidth);
+      info.AddValue("DashStyle", this.mDashStyle.ToString());
+    }
+    #endregion
 
-        #region Xml serialization
-        /// <summary>
-        /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
-        /// </summary>
-        /// <returns>
-        /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
-        /// </returns>
-        public virtual XmlSchema GetSchema()
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    #region Xml serialization
+    /// <summary>
+    /// This property is reserved, apply the <see cref="T:System.Xml.Serialization.XmlSchemaProviderAttribute"></see> to the class instead.
+    /// </summary>
+    /// <returns>
+    /// An <see cref="T:System.Xml.Schema.XmlSchema"></see> that describes the XML representation of the object that is produced by the <see cref="M:System.Xml.Serialization.IXmlSerializable.WriteXml(System.Xml.XmlWriter)"></see> method and consumed by the <see cref="M:System.Xml.Serialization.IXmlSerializable.ReadXml(System.Xml.XmlReader)"></see> method.
+    /// </returns>
+    public virtual XmlSchema GetSchema() {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Generates an object from its XML representation.
-        /// </summary>
-        /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
-        public virtual void ReadXml(System.Xml.XmlReader reader)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
+    /// <summary>
+    /// Generates an object from its XML representation.
+    /// </summary>
+    /// <param name="reader">The <see cref="T:System.Xml.XmlReader"></see> stream from which the object is deserialized.</param>
+    public virtual void ReadXml(System.Xml.XmlReader reader) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
 
-        /// <summary>
-        /// Converts an object into its XML representation.
-        /// </summary>
-        /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
-        public virtual void WriteXml(System.Xml.XmlWriter writer)
-        {
-            throw new NotImplementedException("The method or operation is not implemented.");
-        }
-        #endregion
+    /// <summary>
+    /// Converts an object into its XML representation.
+    /// </summary>
+    /// <param name="writer">The <see cref="T:System.Xml.XmlWriter"></see> stream to which the object is serialized.</param>
+    public virtual void WriteXml(System.Xml.XmlWriter writer) {
+      throw new NotImplementedException("The method or operation is not implemented.");
+    }
+    #endregion
 
-        /// <summary>
-        /// Runs when the entire object graph has been deserialized.
-        /// </summary>
-        /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
-        public virtual void OnDeserialization(object sender)
-        {
-            if (Tracing.BinaryDeserializationSwitch.Enabled)
-                Trace.WriteLine("IDeserializationCallback of 'PenStyle' called.");
-        }
+    /// <summary>
+    /// Runs when the entire object graph has been deserialized.
+    /// </summary>
+    /// <param name="sender">The object that initiated the callback. The functionality for this parameter is not currently implemented.</param>
+    public virtual void OnDeserialization(object sender) {
+      if (Tracing.BinaryDeserializationSwitch.Enabled)
+        Trace.WriteLine("IDeserializationCallback of 'PenStyle' called.");
     }
+  }
 }
